For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityAPI StatusAPI PricingSign Up
DocumentationAPI ReferencesCookbookIntegrationDeveloper Tools
DocumentationAPI ReferencesCookbookIntegrationDeveloper Tools
  • API Reference
    • Introduction
    • Authentication
    • Access to Beta APIs
    • Meta Prompt Guide
  • Endpoints
      • POSTCreate Document Intelligence Job
      • POSTGet Document Intelligence Upload URLs
      • POSTStart Document Intelligence Job
      • GETGet Document Intelligence Job Status
      • POSTGet Document Intelligence Download URLs
LogoLogo
CommunityAPI StatusAPI PricingSign Up
EndpointsDocument Intelligence

Get Document Intelligence Job Status

||View as Markdown|
GET
https://api.sarvam.ai/doc-digitization/job/v1/:job_id/status
GET
/doc-digitization/job/v1/:job_id/status
$curl https://api.sarvam.ai/doc-digitization/job/v1/job_id/status \
> -H "api-subscription-key: <apiSubscriptionKey>" \
> -H "Content-Type: application/json"
1{
2 "job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "job_state": "Pending",
4 "created_at": "2024-01-15T09:30:00Z",
5 "updated_at": "2024-01-15T10:00:00Z",
6 "storage_container_type": "Azure",
7 "total_files": 1,
8 "successful_files_count": 0,
9 "failed_files_count": 0,
10 "error_message": "",
11 "job_details": [
12 {
13 "inputs": [
14 {
15 "file_name": "invoice_january.pdf",
16 "file_id": "file-1234abcd"
17 }
18 ],
19 "outputs": [
20 {
21 "file_name": "invoice_january_output.json",
22 "file_id": "file-5678efgh"
23 }
24 ],
25 "state": "Pending",
26 "total_pages": 12,
27 "pages_processed": 0,
28 "pages_succeeded": 0,
29 "pages_failed": 0,
30 "error_message": "",
31 "error_code": null,
32 "page_errors": []
33 }
34 ]
35}
Returns the current status of a job with page-level metrics. **Job States:** - `Accepted`: Job created, awaiting file upload - `Pending`: File uploaded, waiting to start - `Running`: Processing in progress - `Completed`: All pages processed successfully - `PartiallyCompleted`: Some pages succeeded, some failed - `Failed`: All pages failed or job-level error **Page Metrics:** Response includes detailed progress: total pages, pages processed, succeeded, failed, and per-page errors.
Was this page helpful?
Previous

Get Document Intelligence Download URLs

Next
Built with

Returns the current status of a job with page-level metrics.

Job States:

  • Accepted: Job created, awaiting file upload
  • Pending: File uploaded, waiting to start
  • Running: Processing in progress
  • Completed: All pages processed successfully
  • PartiallyCompleted: Some pages succeeded, some failed
  • Failed: All pages failed or job-level error

Page Metrics: Response includes detailed progress: total pages, pages processed, succeeded, failed, and per-page errors.

Authentication

api-subscription-keystring
API Key authentication via header

Path parameters

job_idstringRequiredformat: "uuid"
The unique identifier of the job

Response

Successful Response
job_idstringformat: "uuid"

Job identifier (UUID)

job_stateenum
Current job state
created_atstringformat: "date-time"

Job creation timestamp (ISO 8601)

updated_atstringformat: "date-time"

Last update timestamp (ISO 8601)

storage_container_typeenum
Storage backend type
Allowed values:
total_filesintegerDefaults to 0

Total input files (always 1)

successful_files_countintegerDefaults to 0
Files that completed successfully
failed_files_countintegerDefaults to 0
Files that failed
error_messagestringDefaults to

Job-level error message

job_detailslist of objects

Per-file processing details with page metrics

Errors

400
Bad Request Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error